> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gemini Omni Flash テキストから動画生成

> - Gemini Omni Flash (gemini-omni-flash-text-to-video) モデルはテキストから動画生成モードに対応し、テキストプロンプトをもとにネイティブ音声付きの動画を1本生成します
- **長さの制御：** `duration` で `3〜10` 秒の整数の長さを指定するか、`auto` を渡してモデルに委ねます
- **画面比率：** `aspect_ratio` で `16:9`、`9:16`、`auto` から選択します
- **ネイティブ音声：** モデルが映像に同期した音声を自動生成し、追加パラメータは不要です
- **ネガティブ指定：** `prompt` に直接記述します（例：`No dialogue`）。本モデルは独立したネガティブプロンプト用のパラメータを提供しません
- 非同期処理モードです。返却されたタスクIDを使って [照会](/ja/api-manual/task-management/get-task-detail) してください
- 生成された動画リンクの有効期限は24時間です。お早めに保存してください



## OpenAPI

````yaml ja/api-manual/video-series/gemini-omni-flash/gemini-omni-flash-text-to-video.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: gemini-omni-flash-text-to-video インターフェース
  description: Gemini Omni Flash モデルによるテキストから動画生成。テキストプロンプトをもとにネイティブ音声付きの動画を1本生成します。
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - 動画生成
      summary: gemini-omni-flash-text-to-video インターフェース
      description: >-
        - Gemini Omni Flash (gemini-omni-flash-text-to-video)
        モデルはテキストから動画生成モードに対応し、テキストプロンプトをもとにネイティブ音声付きの動画を1本生成します

        - **長さの制御：** `duration` で `3〜10` 秒の整数の長さを指定するか、`auto` を渡してモデルに委ねます

        - **画面比率：** `aspect_ratio` で `16:9`、`9:16`、`auto` から選択します

        - **ネイティブ音声：** モデルが映像に同期した音声を自動生成し、追加パラメータは不要です

        - **ネガティブ指定：** `prompt` に直接記述します（例：`No
        dialogue`）。本モデルは独立したネガティブプロンプト用のパラメータを提供しません

        - 非同期処理モードです。返却されたタスクIDを使って
        [照会](/ja/api-manual/task-management/get-task-detail) してください

        - 生成された動画リンクの有効期限は24時間です。お早めに保存してください
      operationId: createGeminiOmniFlashTextToVideoGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GeminiOmniFlashTextToVideoRequest'
            examples:
              text_to_video:
                summary: テキストから動画生成
                value:
                  model: gemini-omni-flash-text-to-video
                  prompt: ガラスのビー玉が木製のレールを勢いよく転がり、最後に水面へ落ちて水しぶきを上げる
                  aspect_ratio: '16:9'
                  duration: 10
      responses:
        '200':
          description: 動画タスクの作成に成功しました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: リクエストパラメータエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、Tokenが無効または期限切れ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 残高不足、チャージが必要
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: アクセス権限がありません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: >-
                    Token does not have access to model:
                    gemini-omni-flash-text-to-video
                  type: invalid_request_error
        '429':
          description: リクエスト頻度が上限を超えました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    GeminiOmniFlashTextToVideoRequest:
      required:
        - model
        - prompt
      type: object
      properties:
        model:
          type: string
          description: モデル名。`gemini-omni-flash-text-to-video` で固定です
          enum:
            - gemini-omni-flash-text-to-video
          example: gemini-omni-flash-text-to-video
        prompt:
          type: string
          description: >-
            動画生成のテキストプロンプト。日本語・英語に対応します


            **使用のヒント：**

            - 映像の被写体、動き、シーン、カメラワークなどを記述し、具体的なほど安定します

            - ネガティブな要件はプロンプトに直接記述します（例：`No
            dialogue`、`文字を出さない`）。本モデルは独立したネガティブプロンプト用のパラメータを提供しません
          example: ガラスのビー玉が木製のレールを勢いよく転がり、最後に水面へ落ちて水しぶきを上げる
        duration:
          description: |-
            動画の長さ（秒）。デフォルトは `10`

            **値の説明：**
            - 整数：範囲は `3 〜 10` 秒
            - `auto`：出力の長さをモデルが自ら決定します

            **課金について：** 実際の課金は生成された動画の使用量に基づきます
          oneOf:
            - type: integer
              minimum: 3
              maximum: 10
            - type: string
              enum:
                - auto
          default: 10
          example: 6
        aspect_ratio:
          type: string
          description: |-
            動画のアスペクト比。デフォルトは `16:9`

            **値の説明：**
            - `16:9`：横向きの画面
            - `9:16`：縦向きの画面
            - `auto`：画面比率をモデルが自ら決定します
          enum:
            - '16:9'
            - '9:16'
            - auto
          default: '16:9'
          example: '16:9'
        callback_url:
          type: string
          description: >-
            タスク完了後のHTTPSコールバックアドレス


            **コールバックのタイミング：**

            - タスクの完了（completed）、失敗（failed）、キャンセル（cancelled）時にトリガーされます

            - 課金確定後に送信されます


            **セキュリティ制限：**

            - HTTPSプロトコルのみ対応

            - 内部ネットワークIPアドレス（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など）へのコールバックは禁止

            - URLの長さは `2048` 文字以内


            **コールバックの仕組み：**

            - タイムアウト時間：`10` 秒

            - 失敗後は最大 `3` 回まで再試行します（失敗後それぞれ `1` 秒／`2` 秒／`4` 秒後に再試行します）

            - コールバックのレスポンスボディの形式はタスク照会インターフェースの返却形式と同一です

            - コールバックアドレスが2xxステータスコードを返した場合は成功とみなし、それ以外のステータスコードは再試行をトリガーします
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成のタイムスタンプ
          example: 1757169743
        id:
          type: string
          description: タスクID
          example: task-unified-1757169743-7cvnl5zw
        model:
          type: string
          description: 実際に使用されたモデル名
          example: gemini-omni-flash-text-to-video
        object:
          type: string
          enum:
            - video.generation.task
          description: タスクの具体的な種別
        progress:
          type: integer
          description: タスクの進捗率 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクの状態
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 動画タスクの詳細情報
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: タスクの出力タイプ
          example: video
        usage:
          $ref: '#/components/schemas/Usage'
          description: 使用量と課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明情報
            type:
              type: string
              description: エラーの種類
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクがキャンセル可能かどうか
          example: false
        estimated_time:
          type: integer
          description: 完了までの推定時間（秒）
          minimum: 0
          example: 60
    Usage:
      type: object
      description: 使用量と課金情報
      properties:
        billing_rule:
          type: string
          description: 課金ルール
          enum:
            - per_call
            - per_token
            - per_second
          example: per_token
        credits_reserved:
          type: number
          description: 消費が見込まれるクレジット数
          minimum: 0
          example: 102.34
        user_group:
          type: string
          description: ユーザーグループの区分
          enum:
            - default
            - vip
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        ##すべてのインターフェースはBearer Tokenによる認証が必要です##


        **API Key の取得：**


        [API Key 管理ページ](https://evolink.ai/dashboard/keys) にアクセスして API Key
        を取得してください


        **利用時はリクエストヘッダーに以下を追加します：**

        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````